"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("@aws-cdk/assert");
const aws_lambda_1 = require("@aws-cdk/aws-lambda");
const core_1 = require("@aws-cdk/core");
const __1 = require("..");
class TestStack extends core_1.Stack {
    constructor() {
        super();
        new __1.NodejsFunction(this, "testId", {
            entry: "./mocks/entry.ts",
            runtime: aws_lambda_1.Runtime.NODEJS_14_X, // Check with Node 14, as inline sources aren't allowed for this
        });
    }
}
it("returns a lambda with default code", () => {
    const stack = new TestStack();
    assert_1.expect(stack).to(assert_1.haveResourceLike("AWS::Lambda::Function", {
        Code: {
            S3Bucket: "cdk-lambda-nodejs-mock-fake-bucket",
            S3Key: "cdk-lambda-nodejs-mock-fake-lambda.ts",
        },
        Handler: "index.handler",
        Runtime: "nodejs14.x",
    }));
});
